## jsjac 1.3.1

=== Makefile ===
OUTFILE=./jsjac.js
PACKFILE=./jsjac.packed.js
SRC=src/jsextras.js src/crypt.js src/JSJaCJSON.js src/xmlextras.js \
src/JSJaCBuilder.js src/JSJaCConstants.js src/JSJaCConnection.js \
src/JSJaCConsoleLogger.js src/JSJaCCookie.js src/JSJaCError.js \
src/JSJaCJID.js src/JSJaCKeys.js src/JSJaCPacket.js \
src/JSJaCHttpBindingConnection.js src/JSJaCHttpPollingConnection.js \
src/JSJaC.js

all: clean utils install doc

install: build crunch  
	@echo "done."

build: 
	@echo "building ...";
	@for i in ${SRC}; do \
		echo "\t$$i"; \
		cat "$$i" >> $(OUTFILE); \
	done

crunch: 
	@echo "crunching ..."
	@if [ -e $(OUTFILE) ]; then \
		utils/jsmin < $(OUTFILE) > $(OUTFILE).tmp && \
		cat src/header.js > $(OUTFILE) && \
		cat src/JSJaCConfig.js >> $(OUTFILE) && \
		cat $(OUTFILE).tmp >> $(OUTFILE) && \
		rm $(OUTFILE).tmp; \
	fi

pack: clean utils build moo crunch doc

moo:	
	@echo "packing..."
	@if [ -e $(OUTFILE) ]; then \
		php ./utils/packer/pack.php $(OUTFILE) $(PACKFILE).tmp && \
		cat src/header.js > $(PACKFILE) && \
		cat src/JSJaCConfig.js >> $(PACKFILE) && \
		cat $(PACKFILE).tmp >> $(PACKFILE) && \
		rm $(PACKFILE).tmp; \
	else \
		echo "$(OUTFILE) not found. build failed?"; \
	fi

doc: 
	@utils/JSDoc/jsdoc.pl --project-name JSJaC -d doc src/

utils:
	@make -C utils
clean:
	@rm -f $(OUTFILE) 2>/dev/null
	@rm -f $(PACKFILE) 2>/dev/null
	@rm -rf doc/
	@make -C utils clean

.PHONY: doc utils

=== utils/Makefile ===
CC = gcc
CFLAGS = -O2

all: jsmin

jsmin:
	@$(CC) $(CFLAGS) -o jsmin jsmin.c

clean:
	@rm -f jsmin

## jsjac 1.3.1+dfsg

=== Makefile ===
OUTFILE=./jsjac.js
PACKFILE=./jsjac.packed.js
UNCOMPRESSED=./jsjac.uncompressed.js
SRC=src/jsextras.js src/crypt.js src/JSJaCJSON.js src/xmlextras.js \
src/JSJaCBuilder.js src/JSJaCConstants.js src/JSJaCConnection.js \
src/JSJaCConsoleLogger.js src/JSJaCCookie.js src/JSJaCError.js \
src/JSJaCJID.js src/JSJaCKeys.js src/JSJaCPacket.js \
src/JSJaCHttpBindingConnection.js src/JSJaCHttpPollingConnection.js \
src/JSJaC.js

all: clean pack install doc

install: build uncompressed
	@echo "done."

build: 
	@echo "building ...";
	@for i in ${SRC}; do \
		echo "\t$$i"; \
		cat "$$i" >> $(OUTFILE); \
	done

uncompressed:
	@if [ -e $(OUTFILE) ]; then \
		cat src/header.js > $(UNCOMPRESSED) && \
		cat src/JSJaCConfig.js >> $(UNCOMPRESSED) && \
		cat $(OUTFILE) >> $(UNCOMPRESSED); \
	fi

pack: clean build moo doc

moo:	
	@echo "packing..."
	@if [ -e $(OUTFILE) ]; then \
		php ./utils/packer/pack.php $(OUTFILE) $(PACKFILE).tmp && \
		cat src/header.js > $(PACKFILE) && \
		cat src/JSJaCConfig.js >> $(PACKFILE) && \
		cat $(PACKFILE).tmp >> $(PACKFILE) && \
		rm $(PACKFILE).tmp; \
	else \
		echo "$(OUTFILE) not found. build failed?"; \
	fi

doc: 
	@utils/JSDoc/jsdoc.pl --project-name JSJaC -d doc src/

clean:
	@rm -f $(OUTFILE) 2>/dev/null
	@rm -f $(PACKFILE) 2>/dev/null
	@rm -f $(UNCOMPRESSED) 2>/dev/null
	@rm -rf doc/

.PHONY: doc utils

## jsjac 1.3.2+dfsg

=== debian/changelog ===
jsjac (1.3.2+dfsg-1) unstable; urgency=high

  [ Marcelo Jorge Vieira (metal) ]
  * Imported Upstream version 1.3.2
  * Changing my email for Debian address
  * Using minified file instead of creating a symlink to it

  [ Thadeu Lima de Souza Cascardo (with mentoring from metal) ]
  * Imported Upstream version 1.3.2+dfsg. Remove some non-free files.
    (Closes: #593799)
  * Use DH 7.
  * Create get-orig-source rule to remove some files from source.
  * Do not use jsmin and pack file using PHP Javascript Packer.
  * Switch to dpkg-source 3.0 (quilt) format.
  * libjs-jac should depend on libjs-xmlextras, instead of shiping its
    copy.
  * Add BSD-like license from source file.
  * Mangle version in watch file.
  * Update Standards-Version to 3.9.1.
  * Install jsjac.uncompressed.js and create a jsjac.js symlink to it.
  * Use yui-compressor to pack javascript.
  * jsjac currently does not work without its copy of xmlextras.
  * debhelper overrides need versioned build depends (>= 7.0.50~).

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Fri, 20 Aug 2010 23:48:53 -0300

jsjac (1.3.1-3) unstable; urgency=high

  * Changed debian/install and debian/links to use jsjac.js instead of
    jsjac.packed.js, because jsjac.packed.js is broken (Closes: #504055)

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Thu, 30 Oct 2008 20:35:12 -0200

jsjac (1.3.1-2) unstable; urgency=low

  * Setting ejabberd with suggests instead of recomends

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Thu, 23 Oct 2008 00:15:22 -0200

jsjac (1.3.1-1) unstable; urgency=low

  * New Upstream Release
  * Updated copyright, now JSJaC is licensed under MPL-1.1, LGPL-2.1 or GPL-2+
  * Removed TODO in debian/docs
  * Fixed location in debian/libjs-jac.install

 -- Marcelo Jorge Vieira (metal) <metal@alucinados.com>  Sat, 12 Jul 2008 12:29:19 -0300

jsjac (1.3-1) unstable; urgency=low

  [ Marcelo Jorge Vieira (metal) ]
  * Initial release (Closes: #458484)

  [ Thadeu Lima de Souza Cascardo ]
  * Updated copyright information.
  * Added fields Vcs-Svn and Vcs-Browser, pointing to upstream VCS.
  * Updated Standards-Version, no changes needed.
  * Package name now is libjs-jac and includes only the packed version
    of the source, including a symlink from its unpacked name
  * Changed Maintainers to Debian XMPP team and Uploaders to me and
    Marcelo Jorge Vieira
  * Changed VCS information from upstream VCS to maintainers VCS.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Wed, 02 Jul 2008 00:10:20 -0300

## jsjac 1.3.4%2Bdfsg

=== debian/changelog ===
jsjac (1.3.4+dfsg-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 11:27:04 +0100

jsjac (1.3.4+dfsg-3) unstable; urgency=medium

  * Update Vcs-* fields: Maintenance moved to Salsa
  * d/control: Add "Rules-Requires-Root: no"
  * Upstream using Github
  * Changing cascardo`s email for Debian address
  * Bump debhelper from old 9 to 13
  * Set upstream metadata fields
  * Bump Standards-Version to 4.5.1
  * d/control: Change package section to 'javascript'
  * Fixed spelling-error-in-description
  * Fixed copyright format

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 04 Jan 2021 20:02:43 -0300

jsjac (1.3.4+dfsg-2) unstable; urgency=high

  * Depend on php-pear instead of php5-cli (Closes: #821682)
  * Use canonical Vcs-fields
  * Remove trailing spaces in debian/copyright
  * Bump debhelper compatibility level to 9
  * Updated Standards-Version to 3.9.8 (no changes)
  * Fixed 'local changes detected' (Closes: #643171)
  * Changed Uploaders field: Remove 'metal' from my name

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 21 May 2016 21:49:23 -0300

jsjac (1.3.4+dfsg-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 13 Mar 2011 21:22:12 -0300

## jsjac 1.3.4+dfsg

=== Makefile ===
OUTFILE=./jsjac.js
PACKFILE=./jsjac.packed.js
UNCOMPRESSED=./jsjac.uncompressed.js
SRC=src/jsextras.js src/crypt.js src/JSJaCJSON.js src/xmlextras.js \
src/JSJaCBuilder.js src/JSJaCConstants.js \
src/JSJaCConsoleLogger.js src/JSJaCCookie.js src/JSJaCError.js \
src/JSJaCJID.js src/JSJaCKeys.js src/JSJaCPacket.js src/JSJaCConnection.js \
src/JSJaCHttpBindingConnection.js src/JSJaCHttpPollingConnection.js \
src/JSJaC.js

all: clean utils install doc

install: build uncompressed crunch  
	@echo "done."

build: 
	@echo "building ...";
	@for i in ${SRC}; do \
		echo "\t$$i"; \
		cat "$$i" >> $(OUTFILE); \
	done

crunch: 
	@echo "crunching ..."
	@if [ -e $(OUTFILE) ]; then \
		utils/jsmin < $(OUTFILE) > $(OUTFILE).tmp && \
		cat src/header.js > $(OUTFILE) && \
		cat src/JSJaCConfig.js >> $(OUTFILE) && \
		cat $(OUTFILE).tmp >> $(OUTFILE) && \
		rm $(OUTFILE).tmp; \
	fi

pack: clean utils build moo crunch doc

moo:	
	@echo "packing..."
	@if [ -e $(OUTFILE) ]; then \
		php ./utils/packer/pack.php $(OUTFILE) $(PACKFILE).tmp && \
		cat src/header.js > $(PACKFILE) && \
		cat src/JSJaCConfig.js >> $(PACKFILE) && \
		cat $(PACKFILE).tmp >> $(PACKFILE) && \
		rm $(PACKFILE).tmp; \
	else \
		echo "$(OUTFILE) not found. build failed?"; \
	fi

doc: 
	@utils/JSDoc/jsdoc.pl --project-name JSJaC -d doc src/

utils:
	@make -C utils
clean:
	@rm -f $(OUTFILE) 2>/dev/null
	@rm -f $(PACKFILE) 2>/dev/null
	@rm -f $(UNCOMPRESSED) 2>/dev/null
	@rm -rf doc/
	@make -C utils clean

uncompressed: 
	@if [ -e $(OUTFILE) ]; then \
		cat src/header.js > $(UNCOMPRESSED) && \
		cat src/JSJaCConfig.js >> $(UNCOMPRESSED) && \
		cat $(OUTFILE) >> $(UNCOMPRESSED); \
	fi

.PHONY: doc utils

=== src/Makefile ===

all:
	@cd .. && make && cd src

pack:
	@cd .. && make pack && cd src

=== debian/control ===
Source: jsjac
Section: javascript
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@debian.org>,
 Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Build-Depends: debhelper-compat (= 13), php-pear, perl (>= 5.10),
 libhtml-template-perl, yui-compressor
Standards-Version: 4.5.1
Homepage: https://github.com/sstrigler/JSJaC
Vcs-Git: https://salsa.debian.org/xmpp-team/jsjac.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/jsjac
Rules-Requires-Root: no

Package: libjs-jac
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Suggests: ejabberd
Description: JavaScript Jabber Client Library
 JSJaC is a jabber client library written in JavaScript to ease implementation
 of web based jabber clients. For communication with a jabber server it needs
 to support either HTTP Polling or HTTP Binding.
 .
 JSJaC has an object oriented design which should be quite easy to use.
 Communication is done by using the XML HTTP Request object also referred
 to as AJAX technology. Your browser must support this.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/jsjac\-?(\d\S+)\.tar\.gz/jsjac-$1\.tar\.gz/ \
  https://github.com/sstrigler/JSJaC/tags .*/jsjac\-?(\d\S+)\.tar\.gz
